﻿namespace IC_DB
{
   /// <summary>
   /// Logic level für die einzelnen Pins beim Test.
   /// </summary>
   /// <remarks>Pins mit dem <see cref="PinType"/> <see cref="PinType.Input"/>, <see cref="PinType.Output"/>
   /// und <see cref="PinType.OpenCollector"/> erhalten den Wert <see cref="LogicLevel.Low"/> oder <see cref="LogicLevel.High"/>.
   /// Alle anderen den Wert <see cref="LogicLevel.Ignore"/>.</remarks>
   public enum LogicLevel
   { 
      /// <summary>Logischer Wert LOW (0, False).</summary>
      Low,
      /// <summary>Logischer Wert HIGH (1, True).</summary>
      High,
      /// <summary>Logischen Wert nicht berücksichtigen (undefiniert).</summary>
      Ignore
   }
}
