﻿namespace IC_Tester_Controls
{
   /// <summary>
   /// Ein <see cref="NumericUpDown"/>-Steuerelement, das nur gerade Zahlen erlaubt.
   /// </summary>
   public class EvenNumericUpDown : NumericUpDown
   {
      /// <summary>
      /// Initialisiert eine neue Instanz der <see cref="EvenNumericUpDown"/>-Klasse.
      /// </summary>
      public EvenNumericUpDown() : base() { }

      /// <summary>
      /// Dekrementiert den Wert des Stuerelements um den Wert 2.
      /// </summary>
      public override void DownButton()
      {
        if(Value > 4)
            Value -= 2;
      }

      /// <summary>
      /// Inkrementiert den Wert des Stuerelements um den Wert 2.
      /// </summary>
      public override void UpButton()
      {
         Value += 2;
      }
   }
}
