﻿namespace UrsComPortExtensions
{
   /// <summary>
   /// Ereignisdaten für das <see cref="ComPortSelector.ComPortFound"/>-Ereignis.
   /// </summary>
   public class ComPortFoundEventArgs
   {
      /// <summary>Beschreibung eines ComPorts.</summary>
      public readonly ComPortDescriptor ComPortDescriptor;
      /// <summary><b>true</b>, wenn der Port in die Liste aufgenommen werde soll.</summary>
      public bool AddDeviceToList = true;

      internal ComPortFoundEventArgs(ComPortDescriptor comPortDescriptor)
      {
         ComPortDescriptor = comPortDescriptor;
      }
   }
}
